package gongyinglian

import "shylinux.com/x/ice"

type payment struct{ Relative }

func init() { ice.TeamCtxCmd(payment{}) }

type PaymentStatus int

const (
	PaymentUnknown PaymentStatus = iota
	PaymentCreate
	PaymentFailure
	PaymentSuccess
	PaymentConfirm
)

var PaymentStatusList = map[PaymentStatus]string{
	PaymentUnknown: "unknown",
	PaymentCreate:  "create",
	PaymentFailure: "failure",
	PaymentSuccess: "success",
	PaymentConfirm: "confirm",
}

func (s PaymentStatus) String() string { return PaymentStatusList[s] }
