package gongyinglian

import "shylinux.com/x/ice"

type refund struct{ Relative }

func init() { ice.TeamCtxCmd(refund{}) }

type RefundStatus int

const (
	RefundUnknown RefundStatus = iota
	RefundCreate
	RefundFailure
	RefundSuccess
	RefundConfirm
)

var RefundStatusList = map[RefundStatus]string{
	RefundUnknown: "unknown",
	RefundCreate:  "create",
	RefundFailure: "failure",
	RefundSuccess: "success",
	RefundConfirm: "confirm",
}

func (s RefundStatus) String() string { return RefundStatusList[s] }
