package guanlixitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type resume struct {
	interview interview
	Table
	fields          string `data:"name,info,mobile,email,degree,user_uid"`
	create          string `name:"create name* info mobile* email degree" role:"leader"`
	remove          string `name:"remove" role:"leader"`
	interviewInsert string `name:"create title* content begin_time*:select@date end_time*:select@date address" role:"leader"`
}

func (s resume) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.TITLE:
		m.Push(arg[0], "一面")
		m.Push(arg[0], "二面")
		m.Push(arg[0], "三面")
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s resume) List(m *ice.Message, arg ...string) {
	s.ValueList(m, arg).Table(func(value ice.Maps) {
		m.PushButton(s.InterviewInsert)
	}).Display("")
}
func (s resume) InterviewInsert(m *ice.Message, arg ...string) {
	m.Cmdy(s.interview, s.interview.Insert, arg, m.OptionSimple(model.GROUP_UID, model.USER_UID))
}

func init() { ice.TeamCtxCmd(resume{}) }
