package gongyinglian

import "shylinux.com/x/ice"

type userStore struct{ Table }

func init() { ice.TeamCtxCmd(userStore{}) }

type UserStoreRole int

const (
	UserStoreVisitor UserStoreRole = iota
	UserStoreCreator
	UserStoreBoss
	UserStoreWorker
	UserStoreVendor
	UserStoreChannel
	UserStoreCustom
)

var UserStoreRoleList = map[UserStoreRole]string{
	UserStoreVisitor: "visitor",
	UserStoreCreator: "creator",
	UserStoreBoss:    "boss",
	UserStoreWorker:  "worker",
	UserStoreVendor:  "vendor",
	UserStoreChannel: "channel",
	UserStoreCustom:  "custom",
}

func (s UserStoreRole) String() string { return UserStoreRoleList[s] }
